package nsdb;

/** stream-based skeleton class */

public abstract class NucSeqPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, nsdb.NucSeqOperations
{
	static private final java.util.Hashtable m_opsHash = new java.util.Hashtable();
	static
	{
		m_opsHash.put ( "getNucFeatures", new java.lang.Integer(0));
		m_opsHash.put ( "getNucFeaturesByKey", new java.lang.Integer(1));
		m_opsHash.put ( "getLength", new java.lang.Integer(2));
		m_opsHash.put ( "getMoleculeType", new java.lang.Integer(3));
		m_opsHash.put ( "getAnySeq", new java.lang.Integer(4));
		m_opsHash.put ( "getTopology", new java.lang.Integer(5));
		m_opsHash.put ( "getReferenceLocation", new java.lang.Integer(6));
		m_opsHash.put ( "getCheckSum", new java.lang.Integer(7));
		m_opsHash.put ( "getBioSeqVersion", new java.lang.Integer(8));
		m_opsHash.put ( "getBioSeqId", new java.lang.Integer(9));
		m_opsHash.put ( "getSubSeqByFeature", new java.lang.Integer(10));
		m_opsHash.put ( "getLocalLocation", new java.lang.Integer(11));
		m_opsHash.put ( "getSubSeq", new java.lang.Integer(12));
		m_opsHash.put ( "getOrganisms", new java.lang.Integer(13));
		m_opsHash.put ( "getSeq", new java.lang.Integer(14));
	}
	private String[] ids = {"IDL:nsdb/NucSeq:1.0","IDL:seqdb/BioSeq:1.0"};
	public nsdb.NucSeq _this()
	{
		return nsdb.NucSeqHelper.narrow(_this_object());
	}
	public nsdb.NucSeq _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.NucSeqHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream _out = null;
		// do something
		// quick lookup of operation
		java.lang.Integer opsIndex = (java.lang.Integer)m_opsHash.get ( method );
		if ( null == opsIndex )
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		switch ( opsIndex.intValue() )
		{
			case 0: // getNucFeatures
			{
			try
			{
				_out = handler.createReply();
				nsdb.NucFeatureListHelper.write(_out,getNucFeatures());
			}
			catch(type.NoResult _ex0)
			{
				_out = handler.createExceptionReply();
				type.NoResultHelper.write(_out, _ex0);
			}
				break;
			}
			case 1: // getNucFeaturesByKey
			{
			try
			{
				java.lang.String _arg0=_input.read_string();
				_out = handler.createReply();
				nsdb.NucFeatureListHelper.write(_out,getNucFeaturesByKey(_arg0));
			}
			catch(type.NoResult _ex0)
			{
				_out = handler.createExceptionReply();
				type.NoResultHelper.write(_out, _ex0);
			}
			catch(type.InvalidArgumentValue _ex1)
			{
				_out = handler.createExceptionReply();
				type.InvalidArgumentValueHelper.write(_out, _ex1);
			}
				break;
			}
			case 2: // getLength
			{
				_out = handler.createReply();
				_out.write_long(getLength());
				break;
			}
			case 3: // getMoleculeType
			{
				_out = handler.createReply();
				_out.write_string(getMoleculeType());
				break;
			}
			case 4: // getAnySeq
			{
				_out = handler.createReply();
				_out.write_any(getAnySeq());
				break;
			}
			case 5: // getTopology
			{
				_out = handler.createReply();
				_out.write_string(getTopology());
				break;
			}
			case 6: // getReferenceLocation
			{
			try
			{
				java.lang.String _arg0=_input.read_string();
				_out = handler.createReply();
				nsdb.LocationHelper.write(_out,getReferenceLocation(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				_out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(_out, _ex0);
			}
			catch(type.NoResult _ex1)
			{
				_out = handler.createExceptionReply();
				type.NoResultHelper.write(_out, _ex1);
			}
				break;
			}
			case 7: // getCheckSum
			{
				_out = handler.createReply();
				_out.write_long(getCheckSum());
				break;
			}
			case 8: // getBioSeqVersion
			{
				_out = handler.createReply();
				_out.write_long(getBioSeqVersion());
				break;
			}
			case 9: // getBioSeqId
			{
				_out = handler.createReply();
				_out.write_string(getBioSeqId());
				break;
			}
			case 10: // getSubSeqByFeature
			{
			try
			{
				nsdb.NucFeature _arg0=nsdb.NucFeatureHelper.read(_input);
				_out = handler.createReply();
				_out.write_string(getSubSeqByFeature(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				_out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(_out, _ex0);
			}
			catch(nsdb.InexactLocation _ex1)
			{
				_out = handler.createExceptionReply();
				nsdb.InexactLocationHelper.write(_out, _ex1);
			}
				break;
			}
			case 11: // getLocalLocation
			{
			try
			{
				nsdb.NucFeature _arg0=nsdb.NucFeatureHelper.read(_input);
				_out = handler.createReply();
				nsdb.LocationHelper.write(_out,getLocalLocation(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				_out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(_out, _ex0);
			}
				break;
			}
			case 12: // getSubSeq
			{
			try
			{
				int _arg0=_input.read_long();
				int _arg1=_input.read_long();
				_out = handler.createReply();
				_out.write_string(getSubSeq(_arg0,_arg1));
			}
			catch(type.IndexOutOfRange _ex0)
			{
				_out = handler.createExceptionReply();
				type.IndexOutOfRangeHelper.write(_out, _ex0);
			}
				break;
			}
			case 13: // getOrganisms
			{
			try
			{
				_out = handler.createReply();
				type.DbXrefListHelper.write(_out,getOrganisms());
			}
			catch(type.NoResult _ex0)
			{
				_out = handler.createExceptionReply();
				type.NoResultHelper.write(_out, _ex0);
			}
				break;
			}
			case 14: // getSeq
			{
				_out = handler.createReply();
				_out.write_string(getSeq());
				break;
			}
		}
		return _out;
	}

	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
